#
# spec file for package ttyper
#
# Copyright (c) 2024 mantarimay
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           ttyper
Version:        1.6.0
Release:        1.3
Summary:        Terminal-based typing test
License:        MIT
URL:            https://github.com/max-niederman/ttyper
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging

%description
ttyper is a terminal-based typing test built with Rust and tui-rs.

%prep
%autosetup -a1 -p1

%build
%{cargo_build}

%install
install -Dm755 target/release/%{name} -t %{buildroot}%{_bindir}

%if %{with test}
%check
%{cargo_test}
%endif

%files
%license LICENSE*
%doc README*
%{_bindir}/%{name}

%changelog
* Tue Aug 13 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 1.6.0
  + Features
  - cli: document contents argument
  - languages: Add galician
  + Documentation
  - add discord server to readme and update badges
  - readme: specify that rounded is the default border type
  + Code Refactoring
  - cli: migrate from structopt to clap-derive
  + Commits
  - wordlists of portuguese with 200, 1000 lines and advanced
  - Bumps libc from 0.2.153 to 0.2.155
  - Added border type functionality inside the 'config.toml'
    file.
* Wed Dec 13 2023 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
